summaryrefslogtreecommitdiffstats
path: root/system/xen-nox
diff options
context:
space:
mode:
author Pierre-Philipp Braun2022-05-25 02:01:48 +0200
committer Willy Sudiarto Raharjo2022-05-28 04:11:33 +0200
commit8ab9bf5b34358adbe5987873ec49d4af3382f60d (patch)
tree66ef07bc201ba94df229181587fa19b718e77f11 /system/xen-nox
parentd11fa586a70819c395b0a7b9249344da719cbf62 (diff)
downloadslackbuilds-8ab9bf5b34358adbe5987873ec49d4af3382f60d.tar.gz
system/xen-nox: Added (Xen Project Hypervisor)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system/xen-nox')
-rw-r--r--system/xen-nox/README6
-rw-r--r--system/xen-nox/slack-desc19
-rw-r--r--system/xen-nox/xen-nox.SlackBuild125
-rw-r--r--system/xen-nox/xen-nox.info10
4 files changed, 160 insertions, 0 deletions
diff --git a/system/xen-nox/README b/system/xen-nox/README
new file mode 100644
index 0000000000..84979ecdaa
--- /dev/null
+++ b/system/xen-nox/README
@@ -0,0 +1,6 @@
+The xen-nox package contains the XEN micro-kernel and tools for PV and
+PVH modes, including the good old xenstore daemon written in C.
+
+QEMU-XEN is built without X11 support (no GTK, SDL nor OpenGL).
+
+NOTE: this conflicts with the system/xen package.
diff --git a/system/xen-nox/slack-desc b/system/xen-nox/slack-desc
new file mode 100644
index 0000000000..a95620fb8b
--- /dev/null
+++ b/system/xen-nox/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+xen-nox: xen-nox (Xen Project Hypervisor)
+xen-nox:
+xen-nox: The xen-nox package contains the XEN micro-kernel and tools for PV
+xen-nox: and PVH modes, including the good old xenstore daemon written in C.
+xen-nox:
+xen-nox: QEMU-XEN is built without X11 support (no GTK, SDL nor OpenGL).
+xen-nox:
+xen-nox:
+xen-nox:
+xen-nox:
+xen-nox:
diff --git a/system/xen-nox/xen-nox.SlackBuild b/system/xen-nox/xen-nox.SlackBuild
new file mode 100644
index 0000000000..345e318960
--- /dev/null
+++ b/system/xen-nox/xen-nox.SlackBuild
@@ -0,0 +1,125 @@
+#!/bin/bash
+
+# Slackware build script for xen-nox
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=xen-nox
+SRCNAM=xen
+VERSION=${VERSION:-4.16.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+
+cd $TMP
+rm -rf $SRCNAM
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux \
+ --with-initddir=/etc/rc.d/init.d \
+ --disable-stubdom \
+ --disable-ioemu-stubdom \
+ --disable-pv-grub \
+ --disable-xenstore-stubdom \
+ --disable-ocamltools \
+ --disable-xsmpolicy \
+ --disable-seabios \
+ --disable-golang \
+ --disable-qemu-traditional \
+ --disable-ipxe \
+ --disable-systemd \
+ --with-xenstored=xenstored \
+ --with-extra-qemuu-configure-args="--sysconfdir=/etc \
+ --audio-drv-list= \
+ --disable-slirp \
+ --disable-blobs \
+ --disable-plugins \
+ --disable-gtk \
+ --disable-sdl \
+ --disable-sdl-image \
+ --disable-opengl \
+ --disable-capstone \
+ --disable-slirp-smbd \
+ --disable-spice-protocol \
+ --disable-fuse \
+ --disable-fuse-lseek"
+
+mkdir -p $PKG/usr/man
+make install-xen DESTDIR=$PKG
+make install-tools DESTDIR=$PKG
+make install-docs DESTDIR=$PKG
+
+# /usr/lib/xen/bin/pygrub
+rm -f $PKG/usr/bin/pygrub
+
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGELOG.md CODING_STYLE CONTRIBUTING COPYING CREDITS MAINTAINERS SUPPORT.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/xen-nox/xen-nox.info b/system/xen-nox/xen-nox.info
new file mode 100644
index 0000000000..ad8b23b904
--- /dev/null
+++ b/system/xen-nox/xen-nox.info
@@ -0,0 +1,10 @@
+PRGNAM="xen-nox"
+VERSION="4.16.1"
+HOMEPAGE="https://xenproject.org/xen-project-archives/"
+DOWNLOAD="https://downloads.xenproject.org/release/xen/4.16.1/xen-4.16.1.tar.gz"
+MD5SUM="1c2cd4f7f966c1d455aab630953e5fad"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="acpica yajl"
+MAINTAINER="Pierre-Philipp Braun"
+EMAIL="pbraun@nethence.com"